Bug 998249 - Review Request: nodejs-passport-oauth2 - OAuth 2.0 authentication strategy for Passport
Review Request: nodejs-passport-oauth2 - OAuth 2.0 authentication strategy fo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On: 998243 998244 998245 998247
Blocks: nodejs-reviews 997828
  Show dependency treegraph
 
Reported: 2013-08-18 11:44 EDT by Tom Hughes
Modified: 2013-08-19 11:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 11:57:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jamielinux: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2013-08-18 11:44:39 EDT
Spec URL: http://download.compton.nu/nodejs/nodejs-passport-oauth2.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-passport-oauth2-1.1.0-1.fc19.src.rpm
Fedora Account System Username: tomh

Description:
General-purpose OAuth 2.0 authentication strategy for Passport.

This module lets you authenticate using OAuth 2.0 in your Node.js
applications. By plugging into Passport, OAuth 2.0 authentication can
be easily and unobtrusively integrated into any application or
framework that supports Connect-style middleware, including Express.

Note that this strategy provides generic OAuth 2.0 support. In many
cases, a provider-specific strategy can be used instead, which cuts
down on unnecessary configuration, and accommodates any
provider-specific quirks. See the list for supported providers.

Developers who need to implement authentication against an OAuth 2.0
provider that is not already supported are encouraged to sub-class
this strategy. If you choose to open source the new provider-specific
strategy, please add it to the list so other people can find it.
Comment 1 Jamie Nguyen 2013-08-18 12:43:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/mockbuild/review/nodejs-passport-oauth2/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-passport-oauth2-1.1.0-1.fc20.noarch.rpm
nodejs-passport-oauth2.noarch: W: spelling-error Summary(en_US) OAuth -> Oath, Coauthor
nodejs-passport-oauth2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-passport-oauth2.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
nodejs-passport-oauth2.noarch: W: only-non-binary-in-usr-lib
nodejs-passport-oauth2.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth2/node_modules/uid2 /usr/lib/node_modules/uid2
nodejs-passport-oauth2.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth2/node_modules/passport-strategy /usr/lib/node_modules/passport-strategy
nodejs-passport-oauth2.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth2/node_modules/oauth /usr/lib/node_modules/oauth
1 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-passport-oauth2
nodejs-passport-oauth2.noarch: W: spelling-error Summary(en_US) OAuth -> Oath, Coauthor
nodejs-passport-oauth2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-passport-oauth2.noarch: W: spelling-error %description -l en_US middleware -> middle ware, middle-ware, middleweight
nodejs-passport-oauth2.noarch: W: only-non-binary-in-usr-lib
nodejs-passport-oauth2.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth2/node_modules/uid2 /usr/lib/node_modules/uid2
nodejs-passport-oauth2.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth2/node_modules/passport-strategy /usr/lib/node_modules/passport-strategy
nodejs-passport-oauth2.noarch: W: dangling-symlink /usr/lib/node_modules/passport-oauth2/node_modules/oauth /usr/lib/node_modules/oauth
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-passport-oauth2 (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(oauth)
    npm(passport-strategy)
    npm(uid2)



Provides
--------
nodejs-passport-oauth2:
    nodejs-passport-oauth2
    npm(passport-oauth2)



Source checksums
----------------
http://registry.npmjs.org/passport-oauth2/-/passport-oauth2-1.1.0.tgz :
  CHECKSUM(SHA256) this package     : c228331b39694092d8b5c390f2860b87afd95325af0cb5cc7de7923444701879
  CHECKSUM(SHA256) upstream package : c228331b39694092d8b5c390f2860b87afd95325af0cb5cc7de7923444701879


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-passport-oauth2-1.1.0-1.fc19.src.rpm
Comment 2 Jamie Nguyen 2013-08-18 12:43:47 EDT
Package approved!
Comment 3 Tom Hughes 2013-08-18 12:47:34 EDT
New Package SCM Request
=======================
Package Name: nodejs-passport-oauth2
Short Description: OAuth 2.0 authentication strategy for Passport
Owners: tomh jamielinux
Branches: 
InitialCC:
Comment 4 Kevin Fenzi 2013-08-18 15:21:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.